#ifndef _INCLUDE_ETH_H_
#define _INCLUDE_ETH_H_

#include <sys/socket.h>

int eth_open(char *if_name);
int eth_close(int ec_sock);

int eth_timeout_set(int ec_sock, struct timeval *tx, struct timeval *rx);

int eth_recv(int ec_sock, void *frame, int max_len);
int eth_send(int ec_sock, void *frame, int len);

#endif /* _INCLUDE_ETH_H */
